Bug 1343291 - [DOCS] Sizing Recommendation is inconsistent
Summary: [DOCS] Sizing Recommendation is inconsistent
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.2.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: brice
QA Contact: Xiaoli Tian
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-07 04:29 UTC by George Goh
Modified: 2016-07-18 04:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-18 04:17:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description George Goh 2016-06-07 04:29:27 UTC
Document URL: 
https://access.redhat.com/documentation/en/openshift-enterprise/3.2/installation-and-configuration/chapter-2-installing

Section Number and Name: 
2.2.3.1. Sizing Recommendations

Describe the issue: 

The section text is
"In a highly-available OpenShift Enterprise cluster with external etcd, a master host should have 1 CPU core and 2.5 GB of memory, on top of the defaults in the table above, for each 1000 pods. Therefore, the recommended size of master host in an OpenShift Enterprise cluster of 2000 pods would be 20 CPU cores and 50 GB of RAM, as well as the minimum requirements for a master host of 2 CPU cores and 8 GB of RAM."

The sizing formula described in the first sentence (1 CPU/2.5G RAM for each 1000 pods) does not match the second sentence (20 CPU/50G RAM for 2000 pods), by a factor of 10.

Suggestions for improvement: 

Please verify and update the correct sizing formula.

Is it 1 CPU/2.5G RAM for each 1000 pods, 
or
1 CPU/2.5G RAM for each 100 pods?


Additional information:

Comment 1 Ashley Hardin 2016-06-15 14:18:29 UTC
@Jeremy- Is it 1 CPU/2.5G RAM for each 1000 pods, or 1 CPU/2.5G RAM for each 100 pods? Can you please help verify, or point me to someone who can? Thanks!

Comment 3 brice 2016-06-20 04:49:07 UTC
Fix in this PR:

https://github.com/openshift/openshift-docs/pull/2306


Note You need to log in before you can comment on or make changes to this bug.